/*
 * Scout Version 1.0 
 * Copyright (c) 1997 Arizona Board of Regents 
 *  
 * Permission to use, copy, modify, distribute, and sell this software 
 * and its documentation for any purpose is hereby granted without fee, 
 * provided that the above copyright appear in all copies, and that both 
 * the copyright and this permission notice appear in supporting 
 * documentation, and that the name of the University of Arizona or the 
 * Arizona Board of Regents not be used in advertising or publicity 
 * pertaining to distribution of the software without specific, written 
 * prior permission.  The University of Arizona makes no representations 
 * about the suitability of this software for any purpose.  It is 
 * provided  without express or implied warranty. 
 *  
 * The University of Arizona requests users of this software to return 
 * any improvements or extensions that they make, and to grant the 
 * University of Arizona the rights to redistribute these changes. 
 *  
 *
 */

/*                        Copyright (c) 1987 Bellcore
 *                            All Rights Reserved
 *       Permission is granted to copy or use this program, EXCEPT that it
 *       may not be sold for profit, the copyright notice must be reproduced
 *       on copies, and credit should be given to Bellcore where it is due.
 *       BELLCORE MAKES NO WARRANTY AND ACCEPTS NO LIABILITY FOR THIS PROGRAM.
 */

/* Originally came from: wimp.c */

/* Machine generated ugly arrays: */

#define CAPS_LOCK 128
#define LSHIFT 129
#define RSHIFT 130
#define LCONTROL 131
#define RCONTROL 132
#define CURSOR_KEY 133
#define CURSOR_UP 134
#define CURSOR_LEFT 135
#define CURSOR_RIGHT 136
#define CURSOR_DOWN 137
#define ALT 138

static unsigned char code_to_ascii[256][4] = {
{ 0x0, 0x0, 0x0, 0x0 }, 
{ '\E', '\E', '\E', '\E' }, 
{ '1', '!', '1', '1' }, 
{ '2', '@', '2', '2' }, 
{ '3', '#', '3', '3' }, 
{ '4', '$', '4', '4' }, 
{ '5', '%', '5', '5' }, 
{ '6', '^', '6', '6' }, 
{ '7', '&', '7', '7' }, 
{ '8', '*', '8', '8' }, 
{ '9', '(', '9', '9' }, 
{ '0', ')', '0', '0' }, 
{ '-', '_', '-', '-' }, 
{ '=', '+', '=', '=' }, 
{ 0x8, 0x8, 0x8, 0x8 }, 
{ 0x9, 0x9, 0x9, 0x9 }, 
{ 'q', 'Q', 0x11, 0x11 }, 
{ 'w', 'W', 0x17, 0x17 }, 
{ 'e', 'E', 0x5, 0x5 }, 
{ 'r', 'R', 0x12, 0x12 }, 
{ 't', 'T', 0x14, 0x14 }, 
{ 'y', 'Y', 0x19, 0x19 }, 
{ 'u', 'U', 0x15, 0x15 }, 
{ 'i', 'I', 0x9, 0x9 }, 
{ 'o', 'O', 0xf, 0xf }, 
{ 'p', 'P', 0x10, 0x10 }, 
{ '[', '{', '[', '[' }, 
{ ']', '}', ']', ']' }, 
{ '\r', '\r', '\r', '\r' },
{ LCONTROL, LCONTROL, LCONTROL, LCONTROL }, 
{ 'a', 'A', 0x1, 0x1 }, 
{ 's', 'S', 0x13, 0x13 }, 
{ 'd', 'D', 0x4, 0x4 }, 
{ 'f', 'F', 0x6, 0x6 }, 
{ 'g', 'G', 0x7, 0x7 }, 
{ 'h', 'H', 0x8, 0x8 }, 
{ 'j', 'J', 0xa, 0xa }, 
{ 'k', 'K', 0xb, 0xb }, 
{ 'l', 'L', 0xc, 0xc }, 
{ ';', ':', ';', ';' }, 
{ '\'', '\"', '\'', '\'' }, 
{ '`', '~', '`', '`' }, 
{ LSHIFT, LSHIFT, LSHIFT, LSHIFT }, 
{ '\\', '|', '\\', '\\' }, 
{ 'z', 'Z', 0x1a, 0x1a }, 
{ 'x', 'X', 0x18, 0x18 }, 
{ 'c', 'C', 0x3, 0x3 }, 
{ 'v', 'V', 0x16, 0x16 }, 
{ 'b', 'B', 0x2, 0x2 }, 
{ 'n', 'N', 0xe, 0xe }, 
{ 'm', 'M', 0xd, 0xd }, 
{ ',', '<', ',', ',' }, 
{ '.', '>', '.', '.' }, 
{ '/', '?', '/', '/' }, 
{ RSHIFT, RSHIFT, RSHIFT, RSHIFT }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ ALT, ALT, ALT, ALT }, 
{ ' ', ' ', ' ', ' ' }, 
{ CAPS_LOCK, CAPS_LOCK, CAPS_LOCK, CAPS_LOCK }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ CURSOR_UP, CURSOR_UP, CURSOR_UP, CURSOR_UP }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ CURSOR_LEFT, CURSOR_LEFT, CURSOR_LEFT, CURSOR_LEFT }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ CURSOR_RIGHT, CURSOR_RIGHT, CURSOR_RIGHT, CURSOR_RIGHT }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ CURSOR_DOWN, CURSOR_DOWN, CURSOR_DOWN, CURSOR_DOWN }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ '\177', '\177', '\177', '\177' }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ '\E', '\E', '\E', '\E' }, 
{ '1', '!', '1', '1' }, 
{ '2', '@', '2', '2' }, 
{ '3', '#', '3', '3' }, 
{ '4', '$', '4', '4' }, 
{ '5', '%', '5', '5' }, 
{ '6', '^', '6', '6' }, 
{ '7', '&', '7', '7' }, 
{ '8', '*', '8', '8' }, 
{ '9', '(', '9', '9' }, 
{ '0', ')', '0', '0' }, 
{ '-', '_', '-', '-' }, 
{ '=', '+', '=', '=' }, 
{ 0x8, 0x8, 0x8, 0x8 }, 
{ 0x9, 0x9, 0x9, 0x9 }, 
{ 'q', 'Q', 0x11, 0x11 }, 
{ 'w', 'W', 0x17, 0x17 }, 
{ 'e', 'E', 0x5, 0x5 }, 
{ 'r', 'R', 0x12, 0x12 }, 
{ 't', 'T', 0x14, 0x14 }, 
{ 'y', 'Y', 0x19, 0x19 }, 
{ 'u', 'U', 0x15, 0x15 }, 
{ 'i', 'I', 0x9, 0x9 }, 
{ 'o', 'O', 0xf, 0xf }, 
{ 'p', 'P', 0x10, 0x10 }, 
{ '[', '{', '[', '[' }, 
{ ']', '}', ']', ']' }, 
{ 0xa, 0xa, 0xa, 0xa }, 
{ LCONTROL, LCONTROL, LCONTROL, LCONTROL }, 
{ 'a', 'A', 0x1, 0x1 }, 
{ 's', 'S', 0x13, 0x13 }, 
{ 'd', 'D', 0x4, 0x4 }, 
{ 'f', 'F', 0x6, 0x6 }, 
{ 'g', 'G', 0x7, 0x7 }, 
{ 'h', 'H', 0x8, 0x8 }, 
{ 'j', 'J', 0xa, 0xa }, 
{ 'k', 'K', 0xb, 0xb }, 
{ 'l', 'L', 0xc, 0xc }, 
{ ';', ':', ';', ';' }, 
{ '\'', '\"', '\'', '\'' }, 
{ '`', '~', '`', '`' }, 
{ LSHIFT, LSHIFT, LSHIFT, LSHIFT }, 
{ '\\', '|', '\\', '\\' }, 
{ 'z', 'Z', 0x1a, 0x1a }, 
{ 'x', 'X', 0x18, 0x18 }, 
{ 'c', 'C', 0x3, 0x3 }, 
{ 'v', 'V', 0x16, 0x16 }, 
{ 'b', 'B', 0x2, 0x2 }, 
{ 'n', 'N', 0xe, 0xe }, 
{ 'm', 'M', 0xd, 0xd }, 
{ ',', '<', ',', ',' }, 
{ '.', '>', '.', '.' }, 
{ '/', '?', '/', '/' }, 
{ RSHIFT, RSHIFT, RSHIFT, RSHIFT }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ ALT, ALT, ALT, ALT }, 
{ ' ', ' ', ' ', ' ' }, 
{ CAPS_LOCK, CAPS_LOCK, CAPS_LOCK, CAPS_LOCK }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ CURSOR_KEY, CURSOR_KEY, CURSOR_KEY, CURSOR_KEY }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
{ 0x0, 0x0, 0x0, 0x0 }, 
};
