/*
 * @COPYRIGHT@
 *
 * Scout Version 1.0
 * 
 * Copyright 1998 Arizona Board of Regents, on behalf of
 *         The University of Arizona
 *         All Rights Reserved
 *
 * @COPYRIGHT@
 *
 * $\RCSfile: mouse.h,v $
 *
 * HISTORY
 * $\Log: mouse.h,v $
 * Revision 1.3  1998/01/31 18:43:12  mjk
 * replaced copyright
 *
 * Revision 1.2  1998/01/28 18:23:56  mjk
 * copyright
 *
 * Revision 1.1  1997/04/15 18:15:49  acb
 * Initial revision
 *
 * Revision 1.1  1997/03/25 22:19:39  acb
 * Initial revision
 *
 * Revision 1.1  1997/03/12 18:01:14  acb
 * Initial revision
 *
 * Revision 1.2  1996/12/19  21:12:41  acb
 * * Eliminated most global variables
 * * Rlogin windows can be created from menu
 * * 'Destroy window' and 'quit' menu options work now
 * * Moved location of header files
 * * Many small display glitches fixed
 *
 */


/* interface file for mouse driver */
/* Andrew Haylett, 14th December 1992 */

#ifndef MOUSE_H
#define MOUSE_H

#include <oskit/io/mouse.h>

#define MS_BUTLEFT	4
#define MS_BUTRIGHT	1
#define MS_BUTMIDDLE	2


struct ms_event {
    enum { MS_NONE, MS_BUTUP, MS_BUTDOWN, MS_MOVE, MS_DRAG } ev_code;
    char ev_butstate;
    int ev_x, ev_y;
    int ev_dx, ev_dy;
};

int get_ms_event(struct ms_event *ev);

#endif /* MOUSE_H */







